epp_CheckResult (EPP RTK Java API Documentation)
Keywords: org.openrtk.idl.epp0503.epp_CheckResult class

### org.openrtk.idl.epp0503

# Class epp_CheckResult

- `java.lang.Object`
- - `org.openrtk.idl.epp0503.epp_CheckResult`

Implemented Interfaces:
  org.omg.CORBA.portable.IDLEntity

`public class epp_CheckResult`
`extends java.lang.Object`
`implements org.omg.CORBA.portable.IDLEntity`

Class that contains the elements generic to all the check command responses. $Header: /cvsroot/epp-rtk/epp-rtk/java/src/org/openrtk/idl/epp0503/epp_CheckResult.java,v 1.1 2003/03/21 16:18:25 tubadanm Exp $
$Revision: 1.1 $
$Date: 2003/03/21 16:18:25 $

See Also:
  `epp_DomainCheckRsp.getResults()`, `epp_HostCheckRsp.getResults()`, `epp_ContactCheckRsp.getResults()`

  ## Field Summary
  `boolean` | `m_avail` The boolean value indicating whether an object is available in the registry or not.
  `String` | `m_lang` The language for the reason text, default "en"
  `String` | `m_reason` Server-specific text to explain why the object is unavailable Max length 32 by the XSD specifications
  `String` | `m_value` The identifier or name of the object checked in the registry.

  ## Constructor Summary
  `epp_CheckResult()` Empty constructor
  `epp_CheckResult(String _m_value, boolean _m_avail, String _m_reason, String _m_lang)` The constructor with initializing variables.
  `epp_CheckResult(boolean _m_exists, String _m_value)` Deprecated. Please use epp_CheckResult(String _m_value, boolean _m_exists, String _m_reason, String _m_lang) instead

  ## Method Summary
  `boolean` | `getAvail()` Accessor method for the boolean value indicating whether an object is available or not
  `boolean` | `getExists()` Deprecated. Please use getAvail() instead
  `String` | `getLang()` Accessor method for the language of the reason text
  `String` | `getReason()` Accessor method for the reason text
  `String` | `getValue()` Accessor method for the identifier or name of the object checked in the registry
  `void` | `setAvail(boolean value)` Accessor method for the boolean value indicating whether an object is available or not
  `void` | `setExists(boolean value)` Deprecated. Please use setAvail() instead
  `void` | `setLang(String value)` Accessor method for the language of the reason text
  `void` | `setReason(String value)` Accessor method for the reason text
  `void` | `setValue(String value)` Accessor method for the identifier or name of the object checked in the registry
  `String` | `toString()` Converts this class into a string.

## Field Details

### m_avail

    public boolean m_avail

> The boolean value indicating whether an object is available in the registry or not.
> See Also:
>   `setAvail(boolean)`, `getAvail()`

### m_lang

    public String m_lang

> The language for the reason text, default "en"
> See Also:
>   `setLang(String)`, `getLang()`

### m_reason

    public String m_reason

> Server-specific text to explain why the object is unavailable Max length 32 by the XSD specifications
> See Also:
>   `setReason(String)`, `getReason()`

### m_value

    public String m_value

> The identifier or name of the object checked in the registry.
> See Also:
>   `setValue(String)`, `getValue()`

## Constructor Details

### epp_CheckResult

    public epp_CheckResult()

> Empty constructor

### epp_CheckResult

    public epp_CheckResult(String _m_value,
                           boolean _m_avail,
                           String _m_reason,
                           String _m_lang)

> The constructor with initializing variables.
> Parameters:
>   `_m_value` - The identifier or name of the object checked in the registry
>   `_m_avail` - The boolean value indicating whether an object is available or not
>   `_m_reason` - The Server-specific text to explain why the object is unavailable
>   `_m_lang` - The language of the reason text

### epp_CheckResult

    public epp_CheckResult(boolean _m_exists,
                           String _m_value)

> Deprecated. Please use epp_CheckResult(String _m_value, boolean _m_exists, String _m_reason, String _m_lang) instead

> The constructor with initializing variables.
> Parameters:
>   `_m_exists` - The boolean value indicating whether an object exists in the registry or not
>   `_m_value` - The identifier or name of the object checked in the registry

## Method Details

### getAvail

    public boolean getAvail()

> Accessor method for the boolean value indicating whether an object is available or not
> Returns:
>   The boolean value indicating whether an object is available or not
> See Also:
>   `m_avail`

### getExists

    public boolean getExists()

> Deprecated. Please use getAvail() instead

> Accessor method for the boolean value indicating whether an object exists in the registry or not
> Returns:
>   The boolean value indicating whether an object exists in the registry or not

### getLang

    public String getLang()

> Accessor method for the language of the reason text
> Returns:
>   The language of the reason text
> See Also:
>   `m_lang`

### getReason

    public String getReason()

> Accessor method for the reason text
> Returns:
>   The reason text
> See Also:
>   `m_reason`

### getValue

    public String getValue()

> Accessor method for the identifier or name of the object checked in the registry
> Returns:
>   The identifier or name of the object
> See Also:
>   `m_value`

### setAvail

    public void setAvail(boolean value)

> Accessor method for the boolean value indicating whether an object is available or not
> Parameters:
>   `value` - The boolean value indicating whether an object is available or not
> See Also:
>   `m_avail`

### setExists

    public void setExists(boolean value)

> Deprecated. Please use setAvail() instead

> Accessor method for the boolean value indicating whether an object exists in the registry or not
> Parameters:
>   `value` - The boolean value indicating whether an object exists in the registry or not

### setLang

    public void setLang(String value)

> Accessor method for the language of the reason text
> Parameters:
>   `value` - The language of the reason text
> See Also:
>   `m_lang`

### setReason

    public void setReason(String value)

> Accessor method for the reason text
> Parameters:
>   `value` - The reason text
> See Also:
>   `m_reason`

### setValue

    public void setValue(String value)

> Accessor method for the identifier or name of the object checked in the registry
> Parameters:
>   `value` - The identifier or name of the object
> See Also:
>   `m_value`

### toString

    public String toString()

> Converts this class into a string. Typically used to view the object in debug output.
> Returns:
>   The string representation of this object instance

Copyright © 2001-2002 - Tucows, Inc., 2003 - LibertyRMS